| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | Static Protected Member Functions | Protected Attributes | List of all members
TranslatorGroup Class Referenceabstract
General

Group of Translators. Has a static factory. More...

`#include <transl.h>`

Inheritance diagram for TranslatorGroup:
[legend]

## Public Member Functions
bool | add (Translator *)
void | clearSelHist ()
virtual const char * | defExtension () const
int | defTranslIdx () const
virtual const char * | getSurveyDefaultKey (const IOObj *=0) const
const Translator * | getTemplate (const char *, bool usrnm) const
virtual StringView | groupName () const =0
bool | hasConnType (const char *) const
virtual const IOObjContext & | ioCtxt () const =0
virtual Translator * | make (const char *, bool usrnm) const
virtual int | objSelector (const char *) const =0
| Return value mObjSelUnrelated etc.
IOPar & | selHist ()
void | setDefTranslIdx (int i)
const ObjectSet< const Translator > & | templates () const
virtual const char * | translationApplication () const
virtual uiString | typeName (int num=1) const =0
Public Member Functions inherited from RefCount::Referenced
void | addObserver (WeakPtrBase *obs)
| Not for normal use. May become private.
int | nrRefs () const
| Only for expert use.
void | ref () const
bool | refIfReffed () const
| Don't use in production, for debugging.
void | removeObserver (WeakPtrBase *obs)
| Not for normal use. May become private.
bool | tryRef () const
| Not for normal use. May become private.
void | unRef () const
void | unRefNoDelete () const

## Static Public Member Functions
static TranslatorGroup & | addGroup (TranslatorGroup *)
static void | clearSelHists ()
static TranslatorGroup & | getGroup (const char *nm)
static const ObjectSet< TranslatorGroup > & | groups ()
static bool | hasGroup (const char *nm)
static const char * | sKeyTransGrp (int n=1)
Static Public Member Functions inherited from RefCount::Referenced
static bool | isSane (const Referenced *)

## Protected Member Functions
| TranslatorGroup (const char *clssnm)
virtual | ~TranslatorGroup ()
const OD::String & | clssName () const
Protected Member Functions inherited from RefCount::Referenced
| Referenced ()
| Referenced (const Referenced &)
virtual | ~Referenced ()
Referenced & | operator= (const Referenced &)

## Static Protected Member Functions
static ObjectSet< TranslatorGroup > & | getGroups ()

## Protected Attributes
BufferString | clssname_
int | deftridx_ = 0
IOPar * | selhist_ = nullptr
ObjectSet< const Translator > | templs_

## Detailed Description

Group of Translators. Has a static factory.

A TranslatorGroup represents a number of IO interpreters for a certain object type. For example, Wavelets have the WaveletTranslatorGroup singleton class which creates WaveletTranslator subclass instances.

You must define two static methods: static int selector(const char*); -> whether a certain group name matches. Can usually return defaultSelector static const IOObjContext& ioContext(); -> Returns the IO context. See ioobjctxt.h for details.

<>

## Constructor & Destructor Documentation

## ◆ TranslatorGroup()

TranslatorGroup::TranslatorGroup | ( | const char * | clssnm | ) |
| protected

## ◆ ~TranslatorGroup()

virtual TranslatorGroup::~TranslatorGroup | ( |  | ) |
| protected virtual

## Member Function Documentation

## ◆ add()

bool TranslatorGroup::add | ( | Translator * |  | ) |

## ◆ addGroup()

static TranslatorGroup & TranslatorGroup::addGroup | ( | TranslatorGroup * |  | ) |
| static

## ◆ clearSelHist()

void TranslatorGroup::clearSelHist | ( |  | ) |

## ◆ clearSelHists()

static void TranslatorGroup::clearSelHists | ( |  | ) |
| static

## ◆ clssName()

const OD::String & TranslatorGroup::clssName | ( |  | ) | const
| inline protected

## ◆ defExtension()

virtual const char * TranslatorGroup::defExtension | ( |  | ) | const
| inline virtual

Reimplemented in SurvGeom2DTranslatorGroup, PSEventTranslatorGroup, MuteDefTranslatorGroup, and PreStackProcTranslatorGroup.

## ◆ defTranslIdx()

int TranslatorGroup::defTranslIdx | ( |  | ) | const
| inline

## ◆ getGroup()

static TranslatorGroup & TranslatorGroup::getGroup | ( | const char * | nm | ) |
| static

## ◆ getGroups()

static ObjectSet< TranslatorGroup > & TranslatorGroup::getGroups | ( |  | ) |
| static protected

## ◆ getSurveyDefaultKey()

virtual const char * TranslatorGroup::getSurveyDefaultKey | ( | const IOObj * | = 0 | ) | const
| virtual

Reimplemented in SeisTrc2DTranslatorGroup, and PreStackProcTranslatorGroup.

## ◆ getTemplate()

const Translator * TranslatorGroup::getTemplate | ( | const char * | ,
|  | bool | usrnm ) const

## ◆ groupName()

virtual StringView TranslatorGroup::groupName | ( |  | ) | const
| pure virtual

## ◆ groups()

static const ObjectSet< TranslatorGroup > & TranslatorGroup::groups | ( |  | ) |
| inline static

## ◆ hasConnType()

bool TranslatorGroup::hasConnType | ( | const char * |  | ) | const

## ◆ hasGroup()

static bool TranslatorGroup::hasGroup | ( | const char * | nm | ) |
| static

## ◆ ioCtxt()

virtual const IOObjContext & TranslatorGroup::ioCtxt | ( |  | ) | const
| pure virtual

## ◆ make()

virtual Translator * TranslatorGroup::make | ( | const char * | ,
|  | bool | usrnm ) const
| virtual

## ◆ objSelector()

virtual int TranslatorGroup::objSelector | ( | const char * |  | ) | const
| pure virtual

Return value mObjSelUnrelated etc.

## ◆ selHist()

IOPar & TranslatorGroup::selHist | ( |  | ) |

## ◆ setDefTranslIdx()

void TranslatorGroup::setDefTranslIdx | ( | int | i | ) |
| inline

## ◆ sKeyTransGrp()

static const char * TranslatorGroup::sKeyTransGrp | ( | int | n = 1 | ) |
| inline static

## ◆ templates()

const ObjectSet< const Translator > & TranslatorGroup::templates | ( |  | ) | const
| inline

## ◆ translationApplication()

virtual const char * TranslatorGroup::translationApplication | ( |  | ) | const
| virtual

## ◆ typeName()

virtual uiString TranslatorGroup::typeName | ( | int | num = 1 | ) | const
| pure virtual

## Member Data Documentation

## ◆ clssname_

BufferString TranslatorGroup::clssname_
| protected

## ◆ deftridx_

int TranslatorGroup::deftridx_ = 0
| protected

## ◆ selhist_

IOPar* TranslatorGroup::selhist_ = nullptr
| protected

## ◆ templs_

ObjectSet<const Translator> TranslatorGroup::templs_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025